io.vertx.ext.web.openapi

## Class RouterFactoryException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.lang.RuntimeException
      - - io.vertx.ext.web.openapi.RouterFactoryException

- All Implemented Interfaces:
    Serializable

      public class RouterFactoryException
      extends RuntimeException

  Main class for router factory exceptions
  Author:
    Francesco Guardiani @slinkydeveloper
  See Also:
    Serialized Form

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `RouterFactoryException.ErrorType`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `RouterFactoryException(String message, RouterFactoryException.ErrorType type, Throwable cause)`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static RouterFactoryException` | `cannotFindParameterProcessorGenerator(JsonPointer pointer, JsonObject parameter)`
    `static RouterFactoryException` | `createBodyNotSupported(JsonPointer pointer)`
    `static RouterFactoryException` | `createErrorWhileGeneratingValidationHandler(String message, Throwable cause)`
    `static RouterFactoryException` | `createInvalidFileSpec(String path, Throwable cause)`
    `static RouterFactoryException` | `createInvalidSpecException(Throwable cause)`
    `static RouterFactoryException` | `createMissingSecurityHandler(String securitySchema)`
    `static RouterFactoryException` | `createMissingSecurityHandler(String securitySchema, String securityScope)`
    `static RouterFactoryException` | `createRouterFactoryInstantiationError(Throwable e, String url)`
    `static RouterFactoryException` | `createUnsupportedSpecFeature(String message)`
    `static RouterFactoryException` | `createWrongExtension(String message)`
    `RouterFactoryException.ErrorType` | `type()`

    - ### Methods inherited from class java.lang.Throwable

      `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### RouterFactoryException

          public RouterFactoryException(String message,
                                        RouterFactoryException.ErrorType type,
                                        Throwable cause)

  - ### Method Detail

    - #### type

          public RouterFactoryException.ErrorType type()

    - #### cannotFindParameterProcessorGenerator

          public static RouterFactoryException cannotFindParameterProcessorGenerator(JsonPointer pointer,
                                                                                     JsonObject parameter)

    - #### createBodyNotSupported

          public static RouterFactoryException createBodyNotSupported(JsonPointer pointer)

    - #### createInvalidSpecException

          public static RouterFactoryException createInvalidSpecException(Throwable cause)

    - #### createInvalidFileSpec

          public static RouterFactoryException createInvalidFileSpec(String path,
                                                                     Throwable cause)

    - #### createMissingSecurityHandler

          public static RouterFactoryException createMissingSecurityHandler(String securitySchema)

    - #### createMissingSecurityHandler

          public static RouterFactoryException createMissingSecurityHandler(String securitySchema,
                                                                            String securityScope)

    - #### createUnsupportedSpecFeature

          public static RouterFactoryException createUnsupportedSpecFeature(String message)

    - #### createWrongExtension

          public static RouterFactoryException createWrongExtension(String message)

    - #### createRouterFactoryInstantiationError

          public static RouterFactoryException createRouterFactoryInstantiationError(Throwable e,
                                                                                     String url)

    - #### createErrorWhileGeneratingValidationHandler

          public static RouterFactoryException createErrorWhileGeneratingValidationHandler(String message,
                                                                                           Throwable cause)

Copyright © 2020 Eclipse. All rights reserved.